### Method

# Foundry LspManager load_language_settings

#### Declaration [src]

    FoundrySettings*
    foundry_lsp_manager_load_language_settings (
      FoundryLspManager* self,
      const char* language_id
    )

#### Description

No description available.

#### Parameters

`language_id`

  Type: `const char*`

  The language identifier.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `FoundrySettings`

A `FoundrySettings`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.